//UART demo Main Program

#include "hhd32f0xx.h"
#include "hhd_gpio.h"
#include "hhd_sys.h"
//Main function entry
void delay(void)
{
	uint32_t i=0;	while (i++ < 0xff);
}
int main(void)
{

	//system initial
	testsp(4);
	
	
	SYS_SystemInitial();
	//delay
	delay();

	/* --------- GPIOA Periph clock enable --------------*/
  ENABLEGPIOACLK;
	
  /* --------- Configure PA0/1 as output pushpull mode */	
	GPIO_ConfigPinsAsOutput(GPIOA,PIN0);	
	GPIO_ConfigPinsAsOutput(GPIOA,PIN1);	
	
	//Jump to sram.
	test();

		
	// Loop forever 

  while(1)
	{
		/* -------- Invert GPIO PA0 -----------------------*/
		GPIO_InvertOutPin(GPIOA,PIN1);
	}

	
}

